unit fmClient;

{
SvCom Example showing how to 
- reuse the service module to create several 
  services in one service application
- make the service application self-starting
- communicate with service using windows messages

More detailes and sources are available at
http://www.aldyn.ru/demos/0022/

(C) 2000 Alexey A. Dynnikov <aldyn@aldyn.ru>
}

interface

uses
  Windows,
  Messages,
  SysUtils,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  IniFiles,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

const Melody : array [0..54] of array [0..1] of Integer =
(
    (262,250),  (311,250),  (392,250),  (311,250),
    (349,500),  (311,250),  (294,250),  (392,500),
    (349,500),  (262,1000), (311,250),  (392,250),
    (466,240),  (1,10),     (466,250),  (523,500),
    (466,250),  (418,250),  (392,1000),  (440,500),
    (494,500),  (587,250),  (523,250),  (392,1000),
    (311,250),  (262,250),  (392,250),  (349,250),
    (415,1000),  (466,250),  (415,250),  (392,500),
    (349,250),  (311,250),  (392,500),  (349,500),
    (262,1000),
    (440,500),
    (494,500),  (587,250),  (523,250),  (392,1000),
    (311,250),  (262,250),  (392,250),  (349,250),
    (415,1000),  (466,250),  (415,250),  (392,500),
    (349,250),  (311,250),  (392,500),  (349,500),
    (262*2,1000)
);

procedure TForm1.Button1Click(Sender: TObject);
var i: Integer;
    Ini: TIniFile;
    ThreadId: Integer;
begin
    Ini:=TIniFile.Create(ExtractFilePath(ParamStr(0))+'SvComEx22.dat');
    ThreadId:=Ini.ReadInteger('Ex22SvcA','ThreadId',0);
    Ini.Free;
    if ThreadId = 0 then
        Raise Exception.Create('Service Ex22SvcA is not started');
    for i:=0 to High(Melody) do
        PostThreadMessage(THreadId,WM_USER+1,Melody[i][0],Melody[i][1]);
end;

end.
